DELETE TimeSaver/DeleteEmployeeScanOuts
Request Information
URI Parameters
None.
Body Parameters
EmployeeScanOut| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| LoggedInUserID | globally unique identifier |
Required |
|
| EmployeeID | globally unique identifier |
Required |
|
| ClockOutTime | date |
Required |
|
| IsProcessed | boolean |
Required |
|
| ProcessedDate | date |
None. |
|
| ClockOutTypeID | ClockOutType |
None. |
|
| ClockOutReason | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| FacialVerifed | boolean |
Required |
|
| FacialMatch | boolean |
Required |
|
| FacialConfidence | decimal number |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "5884823c-b268-4996-b671-60bfd13ef995",
"loggedInUserID": "653a8cfa-13d1-4395-a623-94d202296578",
"employeeID": "33c2e406-c644-43f0-b0a9-4abdd646e847",
"clockOutTime": "2026-06-12T22:58:53.2466059+00:00",
"isProcessed": true,
"processedDate": "2026-06-12T22:58:53.2466059+00:00",
"clockOutTypeID": 1,
"clockOutReason": "sample string 6",
"latitude": 1.1,
"longitude": 1.1,
"facialVerifed": true,
"facialMatch": true,
"facialConfidence": 9.0,
"photoID": "6ee5d7d2-acc6-4b6c-b761-7a0cdf7f93b9",
"isActive": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.